Tristero LogoTristero
API Reference

Create a trade

Creates a new trade. Allocates and returns a deposit address you should send funds to.

POST
/trade

Creates a new trade. Allocates and returns a deposit address you should send funds to.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://feather-prod.tristero.com/trade" \  -H "Content-Type: application/json" \  -d '{    "InputAsset": "BTC",    "OutputAsset": "ETH",    "OutputAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",    "ReturnAddress": "bc1qreturnaddress1234567890abcdef",    "MaxSlippage": 0.01  }'
{
  "TradeID": "trade_abc123def456",
  "Created": "2026-04-01T14:30:00Z",
  "Expires": "2026-04-01T16:30:00Z",
  "InputAsset": "BTC",
  "OutputAsset": "ETH",
  "OutputAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
  "ReturnAddress": "bc1qreturnaddress1234567890abcdef",
  "MaxSlippage": 0.01,
  "InputAddress": "bc1qdepositunique7890123456xyzabc",
  "MaxInput": 10.5,
  "QuotedPrice": 18.92,
  "ExecutionState": "Awaiting Deposit",
  "FailedAndReturned": false,
  "PriceInfo": {
    "InputAsset": {
      "AssetName": "BTC",
      "UsdMarketMid": 65432.18,
      "HalfSpread": 0.0012,
      "MarketHalfSpread": 0.0008,
      "HalfFee": 0.00015,
      "MinAmount": 0.001,
      "MaxOutput": 10.5,
      "MaxInput": 15,
      "PriceImpactRate": 0.00005,
      "CapacityFraction": 0.73,
      "TargetBalance": 20,
      "CurrentBalance": 14.6,
      "FundingAddress": "bc1qfeatherfundingaddress1234567890abcdef"
    },
    "OutputAsset": {
      "AssetName": "ETH",
      "UsdMarketMid": 3456.78,
      "HalfSpread": 0.0008,
      "MarketHalfSpread": 0.0005,
      "HalfFee": 0.0025,
      "MinAmount": 0.01,
      "MaxOutput": 150,
      "MaxInput": 200,
      "PriceImpactRate": 0.00002,
      "CapacityFraction": 0.85,
      "TargetBalance": 200,
      "CurrentBalance": 170,
      "FundingAddress": "0xFeatherFundingAddress1234567890abcdef1234"
    },
    "ExchangeRate": 18.92,
    "InputFee": 0.0003,
    "MaxInput": 10.5,
    "MinInput": 0.001,
    "MaxOutput": 150
  },
  "EventLog": [
    "2026-04-01T14:30:00Z - Trade created",
    "2026-04-01T14:30:00Z - Awaiting deposit to bc1qdepositunique7890123456xyzabc"
  ]
}
{
  "result": "error",
  "error": "Invalid output address format for ETH"
}